Package org.apache.tools.ant.taskdefs.optional.junitlauncher

# Interface TestExecutionContext

All Known Implementing Classes:
  `InVMExecution`

public interface TestExecutionContext
A `TestExecutionContext` represents the execution context for a test that has been launched by the `JUnitLauncherTask` and provides any necessary contextual information about such tests.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Optional<Project>`
  `getProject()`
  `Properties`
  `getProperties()`

- ## Method Details

  - ### getProperties

    Properties getProperties()
    Returns:
      Returns the properties that were used for the execution of the test

  - ### getProject

    Optional<Project> getProject()
    Returns:
      Returns the `Project` in whose context the test is being executed. The `Project` is sometimes not available, like in the case where the test is being run in a forked mode, in such cases this method returns `an empty value`